summaryrefslogtreecommitdiff
path: root/desktop
diff options
context:
space:
mode:
authorJoel J. Adamson <sparrow1240@gmail.com>2010-05-12 23:28:19 +0200
committerChess Griffin <chess@slackbuilds.org>2010-05-12 23:28:19 +0200
commit9735b5db58b1709fc3b289080fdd0292106733c5 (patch)
tree9bd899fd9b426b16f96bfb4c43f0fdc69dd74af1 /desktop
parentdcb2574d881be88ff0ee1047471f1817645cf2cc (diff)
downloadslackbuilds-9735b5db58b1709fc3b289080fdd0292106733c5.tar.gz
desktop/gtk-smooth-engine: Added to 12.2 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/gtk-smooth-engine/README6
-rw-r--r--desktop/gtk-smooth-engine/gtk-smooth-engine.SlackBuild70
-rw-r--r--desktop/gtk-smooth-engine/gtk-smooth-engine.info8
-rw-r--r--desktop/gtk-smooth-engine/slack-desc19
4 files changed, 103 insertions, 0 deletions
diff --git a/desktop/gtk-smooth-engine/README b/desktop/gtk-smooth-engine/README
new file mode 100644
index 0000000000..010707ac3b
--- /dev/null
+++ b/desktop/gtk-smooth-engine/README
@@ -0,0 +1,6 @@
+Smooth GTK1/GTK2 Theme Engine is a simple theme engine intended to be
+smooth, fast, and highly configurable, such that it could eventually
+mimic most, if not all, major theme engines to high degree of acuracy,
+while still retaining a small footprint.
+
+This package does NOT include support for GTK1 or Cairo.
diff --git a/desktop/gtk-smooth-engine/gtk-smooth-engine.SlackBuild b/desktop/gtk-smooth-engine/gtk-smooth-engine.SlackBuild
new file mode 100644
index 0000000000..347c949d70
--- /dev/null
+++ b/desktop/gtk-smooth-engine/gtk-smooth-engine.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for GTK-Smooth Engine
+
+# Written by Joel J. Adamson <adamsonj@email.unc.edu>
+
+PRGNAM=gtk-smooth-engine
+VERSION=${VERSION:-0.6.0.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-gtk-2=yes \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README AUTHORS COPYING NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/gtk-smooth-engine/gtk-smooth-engine.info b/desktop/gtk-smooth-engine/gtk-smooth-engine.info
new file mode 100644
index 0000000000..dd5695faae
--- /dev/null
+++ b/desktop/gtk-smooth-engine/gtk-smooth-engine.info
@@ -0,0 +1,8 @@
+PRGNAM="gtk-smooth-engine"
+VERSION="0.6.0.1"
+HOMEPAGE="http://sourceforge.net/projects/smooth-engine/"
+DOWNLOAD="http://voxel.dl.sourceforge.net/smooth-engine/gtk-smooth-engine-0.6.0.1.tar.gz"
+MD5SUM="a2231118c8187649d1e634fdfe6f36de"
+MAINTAINER="Joel J. Adamson"
+EMAIL="sparrow1240@gmail.com"
+APPROVED="chess"
diff --git a/desktop/gtk-smooth-engine/slack-desc b/desktop/gtk-smooth-engine/slack-desc
new file mode 100644
index 0000000000..3c8a18a719
--- /dev/null
+++ b/desktop/gtk-smooth-engine/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------|
+gtk-smooth-engine: GTK Smooth Engine
+gtk-smooth-engine:
+gtk-smooth-engine: Smooth GTK1/GTK2 Theme Engine is a simple theme
+gtk-smooth-engine: engine intended to be smooth, fast, and highly
+gtk-smooth-engine: configurable, such that it could eventually mimic
+gtk-smooth-engine: most, if not all, major theme engines to high
+gtk-smooth-engine: degree of acuracy, while still retaining a small
+gtk-smooth-engine: footprint.
+gtk-smooth-engine:
+gtk-smooth-engine: http://sourceforge.net/projects/smooth-engine
+gtk-smooth-engine: